import store from '@/store'

export default class BeforeEnter {
  constructor(opt) {
    this.opt = opt || {}
  }

  async update(to, from, next) {
    const isLogin = store.state.isLogin || (await store.dispatch('checkLogin'))
    if (to.meta.requiredLogin && !isLogin) {
      next(`/login?redirect_uri=${encodeURIComponent(window.location.href)}`)
      return
    }
    store.dispatch('setUserRoles')
    next()
  }
}
